<?xml version="1.0" encoding="utf-8"?>
<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>
  <ItemGroup>
    <PackageReference Include="log4net" Version="3.2.0" />
    <PackageReference Include="Oracle.ManagedDataAccess.Core" Version="3.21.140" />
    <PackageReference Include="Dapper" Version="2.1.35" />
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="8.0.0" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="8.0.0" />
  </ItemGroup>
  <ItemGroup>
    <None Update="appsettings.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="log4net.config">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
	<PackageReference Include="System.ServiceModel.Http" Version="6.0.0" />
	<PackageReference Include="System.ServiceModel.Security" Version="6.0.0" />
	<PackageReference Include="System.ServiceModel.NetTcp" Version="6.0.0" />
	<PackageReference Include="System.ServiceModel.Federation" Version="6.0.0" />
	<PackageReference Include="System.ServiceModel.Duplex" Version="6.0.0" />
	<PackageReference Include="System.ServiceModel.Primitives" Version="6.0.0" />
  </ItemGroup>
</Project>